
from __future__ import absolute_import
from __future__ import division

import six


class Unsupported(ImportError):
    """
    Raised when a feature is not supported on this platform.
    """


class MissingModule(object):
    def __init__(self, message):
        self._message = message

    def __getattr__(self, name):
        raise Unsupported(self._message)


try:
    import cPickle as pickle

try:
    import simplejson as json
except ImportError:

if six.PY2:
    import subprocess32 as subprocess
else:

try:
    from contextlib import suppress
except ImportError:

try:
    from glob import escape as glob_escape
except ImportError:


